=== debian/changelog ===
belcard (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #881296)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 09 Nov 2017 20:13:14 +0100
