=== debian/control ===
Source: belcard
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 10), cmake, libbctoolbox-dev, libbelr-dev
Standards-Version: 4.1.1
Section: libs
Homepage: https://www.linphone.org
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/belcard.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/belcard.git/

Package: libbelcard-dev
Section: libdevel
Architecture: any
Depends: libbelcard1 (= ${binary:Version}), ${misc:Depends}
Description: VCard standard format manipulation library (development headers)
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the development headers.

Package: libbelcard1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VCard standard format manipulation library
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the shared library.
