=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%belcard-$1.tar.gz%" \
   https://github.com/BelledonneCommunications/belcard/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
