## belcard 4.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2015  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2019 Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -21,8 +21,8 @@
 #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.0)
-project(BELCARD VERSION 1.0.2 LANGUAGES C CXX)
+cmake_minimum_required(VERSION 3.1)
+project(BELCARD VERSION 4.4.0 LANGUAGES C CXX)
 
 set(BELCARD_SO_VERSION "1")
 
@@ -31,7 +31,7 @@
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TOOLS "Enable compilation of tools." YES)
 option(ENABLE_UNIT_TESTS "Enable compilation of unit tests." YES)
-
+option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -44,21 +44,13 @@
 include(CheckSymbolExists)
 include(CMakePushCheckState)
 
-# find_package should be invoked here to check for libraries - however do NOT
-# call include_directories here (see below)
-
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	include("${EP_belr_CONFIG_DIR}/BelrConfig.cmake")
-else()
-	find_package(Belr REQUIRED)
+if(MSVC)
+    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 endif()
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(BcToolbox_FIND_COMPONENTS tester)
-	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
-else()
-	find_package(BcToolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
-endif()
+find_package(belr REQUIRED CONFIG)
+
+find_package(bctoolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
 
 if(UNIX AND NOT APPLE)
 	include(CheckIncludeFiles)
@@ -100,12 +92,11 @@
 	list(APPEND STRICT_OPTIONS_CXX "-std=c++11")
 	list(APPEND STRICT_OPTIONS_CPP "-Wall" "-Wuninitialized" "-Wno-error=deprecated-declarations")
 	list(APPEND STRICT_OPTIONS_C "-Wdeclaration-after-statement" "-Wstrict-prototypes" "-Wno-error=strict-prototypes")
-	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+	if(CMAKE_C_COMPILER_ID MATCHES "Clang")
 		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments" "-Wno-array-bounds")
 	endif()
 	if(APPLE)
 		list(APPEND STRICT_OPTIONS_CPP "-Wno-error=unknown-warning-option" "-Qunused-arguments" "-Wno-tautological-compare" "-Wno-unused-function" "-Wno-array-bounds")
-		list(APPEND STRICT_OPTIONS_CXX "-stdlib=libc++")
 	endif()
 	if(ENABLE_STRICT)
 		list(APPEND STRICT_OPTIONS_CPP "-Werror" "-Wextra" "-Wno-unused-parameter" "-fno-strict-aliasing")
@@ -118,38 +109,42 @@
 	list(REMOVE_DUPLICATES STRICT_OPTIONS_C)
 endif()
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
-else()
-	set(EXPORT_TARGETS_NAME "belcard")
-endif()
+set(EXPORT_TARGETS_NAME "belcard")
 
 add_subdirectory(include)
 add_subdirectory(src)
-if(ENABLE_UNIT_TESTS AND BCTOOLBOX_TESTER_FOUND)
+
+if(ENABLE_UNIT_TESTS)
 	add_subdirectory(tester)
 endif()
+
 if(ENABLE_TOOLS)
 	add_subdirectory(tools)
 endif()
 
 include(CMakePackageConfigHelpers)
+set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
+set(INCLUDE_INSTALL_DIR "include")
+
 export(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/BelcardTargets.cmake"
+	FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Targets.cmake"
 )
-configure_file(cmake/BelcardConfig.cmake.in
-	"${CMAKE_CURRENT_BINARY_DIR}/BelcardConfig.cmake"
-	@ONLY
+
+configure_package_config_file(cmake/BelcardConfig.cmake.in
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
+  	INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
+	NO_SET_AND_CHECK_MACRO
 )
-set(ConfigPackageLocation share/Belcard/cmake)
+set(ConfigPackageLocation "share/${EXPORT_TARGETS_NAME}/cmake")
 install(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE BelcardTargets.cmake
+	FILE ${EXPORT_TARGETS_NAME}Targets.cmake
 	DESTINATION ${ConfigPackageLocation}
 )
 install(FILES
-	"${CMAKE_CURRENT_BINARY_DIR}/BelcardConfig.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
 	DESTINATION ${ConfigPackageLocation}
 )
 
-
-add_subdirectory(build)
+if (ENABLE_PACKAGE_SOURCE)
+	add_subdirectory(build)
+endif()
