=== tester/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 if(ENABLE_SHARED)
 	set(BELCARD_LIBRARIES_FOR_TESTER belcard)
 else()
-	set(BELCARD_LIBRARIES_FOR_TESTER belcard-static)
+	set(BELCARD_LIBRARIES_FOR_TESTER belcard)
 endif()
 
 set(VCARD_FILES
@@ -53,12 +53,9 @@
 
 add_executable(belcard_tester ${SOURCE_FILES_CXX} ${HEADER_FILES_CXX})
 set_target_properties(belcard_tester PROPERTIES LINKER_LANGUAGE CXX)
-target_include_directories(belcard_tester PUBLIC ${BCTOOLBOX_TESTER_INCLUDE_DIRS})
-target_link_libraries(belcard_tester ${BELCARD_LIBRARIES_FOR_TESTER} ${BCTOOLBOX_TESTER_LIBRARIES})
+target_include_directories(belcard_tester PRIVATE ${BCTOOLBOX_INCLUDE_DIRS})
+target_link_libraries(belcard_tester belcard bctoolbox bctoolbox-tester)
 
-if(APPLE)
-	set_target_properties(belcard_tester PROPERTIES LINK_FLAGS "-stdlib=libc++")
-endif()
 if(NOT IOS)
 	install(TARGETS belcard_tester
 		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
