=== debian/changelog ===
belcard (4.4.13-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable
  * Drop Tobias Quathamer from Uploaders, add myself

 -- Bernhard Schmidt <berni@debian.org>  Fri, 25 Dec 2020 18:07:55 +0100

belcard (4.4.13-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.13
  * Also install vcard grammar
  * Change Vcs-* to linphone-stack subgroup
  * Bump to debhelper-compat (= 12)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 07 Dec 2020 11:47:53 +0100

belcard (4.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.0
  * Bump build-deps to linphone-sdk 4.4
  * Run wrap-and-sort

 -- Bernhard Schmidt <berni@debian.org>  Tue, 01 Sep 2020 00:48:08 +0200

belcard (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Switch to upstream primary Gitlab, only use releases
  * New upstream version 4.3.1
  * Tighten dependencies, add libudev-dev
  * disable tests (need bcunit), disable static building

 -- Bernhard Schmidt <berni@debian.org>  Tue, 02 Jun 2020 00:19:02 +0200
