=== debian/control ===
Source: belcard
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard Schmidt <berni@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libbctoolbox-dev (>= 4.4.0~),
               libbelr-dev (>= 4.4.0~),
               libudev-dev
Standards-Version: 4.1.1
Section: libs
Homepage: https://gitlab.linphone.org/BC/public/belcard/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard

Package: libbelcard-dev
Section: libdevel
Architecture: any
Depends: libbelcard1 (= ${binary:Version}),
         ${misc:Depends}
Description: VCard standard format manipulation library (development headers)
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the development headers.

Package: libbelcard1
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: VCard standard format manipulation library
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the shared library.
