=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/belcard.*\.tar\.gz/belcard-$1\.tar\.gz/g \
  https://gitlab.linphone.org/BC/public/belcard/tags?sort=updated_desc .*/archive/([\d\.]+)/.*\.tar\.gz.*
