## belcard 5.0.37

=== debian/changelog ===
belcard (5.0.37-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 12:01:50 +0200

belcard (5.0.37-1) experimental; urgency=medium

  [ Dennis Filder ]
  * New upstream version 5.0.37
  * Move to debhelper compat 13
  * Declare "Multi-Arch: same" on libbelcard-dev and libbelcard1

 -- Bernhard Schmidt <berni@debian.org>  Wed, 01 Dec 2021 22:07:42 +0100
