=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
-               libbctoolbox-dev (>= 4.4.0~),
-               libbelr-dev (>= 4.4.0~),
+               debhelper-compat (= 13),
+               libbctoolbox-dev (>= 5.0.37~),
+               libbelr-dev (>= 5.0.37~),
                libudev-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/belcard/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard.git
@@ -15,8 +16,12 @@
 
 Package: libbelcard-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
+         libbctoolbox-dev (>= 5.0.37~),
+         libbelr-dev (>= 5.0.37~),
+         libnsl-dev,
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.
@@ -28,6 +33,7 @@
 
 Package: libbelcard1
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: VCard standard format manipulation library
