=== debian/changelog ===
belcard (5.1.64-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:41:16 +0100

belcard (5.1.64-1) experimental; urgency=medium

  * New upstream release 5.1.64.

 -- Dennis Filder <d.filder@web.de>  Thu, 06 Oct 2022 22:31:47 +0200
