=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.0.37~),
-               libbelr-dev (>= 5.0.37~),
+               libbctoolbox-dev (>= 5.1.64~),
+               libbelr-dev (>= 5.1.64~),
                libudev-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/belcard/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard
+Description: vCard manipulation library for C++
 
 Package: libbelcard-dev
 Section: libdevel
 Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
-         libbctoolbox-dev (>= 5.0.37~),
-         libbelr-dev (>= 5.0.37~),
-         libnsl-dev,
+         libbctoolbox-dev (>= 5.1.64~),
+         libbelr-dev (>= 5.1.64~),
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.
