=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 if(ENABLE_SHARED)
 	set(BELCARD_LIBRARIES_FOR_TOOLS belcard)
 else()
-	set(BELCARD_LIBRARIES_FOR_TOOLS belcard-static)
+	set(BELCARD_LIBRARIES_FOR_TOOLS belcard)
 endif()
 
 foreach(EXECTUABLE belcard-folder belcard-unfolder belcard-parser)
@@ -31,16 +31,14 @@
 	bc_apply_compile_flags(SOURCE_FILES_CXX STRICT_OPTIONS_CPP STRICT_OPTIONS_CXX)
 	add_executable(${EXECTUABLE} ${SOURCE_FILES_CXX})
 	set_target_properties(${EXECTUABLE} PROPERTIES LINKER_LANGUAGE CXX)
-	target_link_libraries(${EXECTUABLE} ${BELCARD_LIBRARIES_FOR_TOOLS} ${BELR_LIBRARIES})
-	if(APPLE)
-		set_target_properties(${EXECTUABLE} PROPERTIES LINK_FLAGS "-stdlib=libc++")
+	target_link_libraries(${EXECTUABLE} PRIVATE belcard belr)
+
+	if(NOT IOS)
+		install(TARGETS ${EXECTUABLE}
+			RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+			LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+			ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+			PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+		)
 	endif()
-if(NOT IOS)
-	install(TARGETS ${EXECTUABLE}
-		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
-	)
-endif()
 endforeach()
