=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: belcard
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.1.64~),
-               libbelr-dev (>= 5.1.64~),
+               libbctoolbox-dev (>= 5.2.0~),
+               libbelr-dev (>= 5.2.0~),
                libudev-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/belcard/
@@ -20,8 +21,8 @@
 Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
-         libbctoolbox-dev (>= 5.1.64~),
-         libbelr-dev (>= 5.1.64~),
+         libbctoolbox-dev (>= 5.2.0~),
+         libbelr-dev (>= 5.2.0~),
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.
