=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 # approach now.
 	echo 'Requires.private: bctoolbox >= $(DEB_VERSION_UPSTREAM), belr >= $(DEB_VERSION_UPSTREAM)' \
 		>> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/belcard.pc
-	echo 'Requires: libnsl' >> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/belcard.pc
 
 # For fallback BC sometimes offers autoconf build systems.  As we
 # don't use it we don't want it updated, otherwise dpkg-source nags.
