## belcard 5.2.98

=== debian/changelog ===
belcard (5.2.98-2) experimental; urgency=medium

  * Add Breaks on liblinphone11 which still linked with libbctoolbox1.
  * belcard-data: Express Multi-Arch: foreign.

 -- Dennis Filder <d.filder@web.de>  Sun, 15 Oct 2023 19:50:51 +0200

belcard (5.2.98-1) experimental; urgency=medium

  * New upstream release 5.2.98.
  * Break out data files from libbelcard1 into new binary package
    belcard-data.

 -- Dennis Filder <d.filder@web.de>  Sun, 03 Sep 2023 06:43:08 +0200
