=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: belcard
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.2.0~),
-               libbelr-dev (>= 5.2.0~),
+               libbctoolbox-dev (>= 5.2.98~),
+               libbelr-dev (>= 5.2.98~),
                libudev-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -21,8 +20,8 @@
 Multi-Arch: same
 Architecture: any
 Depends: libbelcard1 (= ${binary:Version}),
-         libbctoolbox-dev (>= 5.2.0~),
-         libbelr-dev (>= 5.2.0~),
+         libbctoolbox-dev (>= 5.2.98~),
+         libbelr-dev (>= 5.2.98~),
          ${misc:Depends}
 Description: VCard standard format manipulation library (development headers)
  Belcard is a C++ library to manipulate VCard standard format.
@@ -36,7 +35,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         belcard-data,
+Breaks: libbelcard1 (<< 5.2.98), liblinphone11
+Replaces: libbelcard1 (<< 5.2.98)
 Description: VCard standard format manipulation library
  Belcard is a C++ library to manipulate VCard standard format.
  .
@@ -44,3 +46,16 @@
  of libraries and programs.
  .
  This package contains the shared library.
+
+Package: belcard-data
+Architecture: all
+Breaks: libbelcard1 (<< 5.2.98)
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: VCard standard format manipulation library
+ Belcard is a C++ library to manipulate VCard standard format.
+ .
+ The package is probably not useful outside the Belledonne Communications suite
+ of libraries and programs.
+ .
+ This package contains data files.
